Index: /anuga_work/development/pipeflow/generic_domain.py
===================================================================
--- /anuga_work/development/pipeflow/generic_domain.py	(revision 7822)
+++ /anuga_work/development/pipeflow/generic_domain.py	(revision 7823)
@@ -12,5 +12,5 @@
 
 
-class Generic_Domain:
+class Generic_domain:
 
     def __init__(self,
@@ -587,9 +587,13 @@
             return self.vertices[elem_id,vertex]
 
-    def get_area(self, elem_id):
+    def get_area(self, elem_id=None):
         """Return area of element id
         """
 
-        return self.areas[elem_id]
+        if elem_id is None:
+            return sum(self.areas)
+        else:
+            return self.areas[elem_id]
+
 
     def get_quantity(self, name, location='vertices', indices = None):
